/*
 *	Copyright (c) 2000-2006 Jaroslav Kačer <jaroslav@kacer.biz>
 *	Licensed under the Academic Free License version 2.1
 *	J-Sim source code can be downloaded from http://www.j-sim.zcu.cz/
 *
 */

package cz.zcu.fav.kiv.jsimexamples.systemutils.randomvalues;

import cz.zcu.fav.kiv.jsim.JSimSystem;

/**
 *  This example illustrates possibilities of random-values functions available in J-Sim.
 *
 */
public class RandomValuesExample
{
	public static void main(String[] args)
	{
		int i;

		double lambda = 1.0, a = 10.0, b = 20.0, p = 0.25, mu = 50.0, sigma = 5.0;

		JSimSystem.hello();
		System.out.println();

		System.out.println("Ten random numbers with exponential distribution, lambda is " + lambda + ":");
		for (i = 0; i < 5; i++)
			System.out.println(JSimSystem.negExp(lambda) + " " + JSimSystem.negExp(lambda));
		System.out.println();

		System.out.println("Ten random numbers with uniform distribution, a is " + a + ", b is " + b + ":");
		for (i = 0; i < 5; i++)
			System.out.println(JSimSystem.uniform(a, b) + " " + JSimSystem.uniform(a, b));
		System.out.println();

		System.out.println("Ten random numbers with normal distribution, mu is " + mu + ", sigma is " + sigma + ":");
		for (i = 0; i < 5; i++)
			System.out.println(JSimSystem.gauss(mu, sigma) + " " + JSimSystem.gauss(mu, sigma));
		System.out.println();

		System.out.println("Ten random boolean values, P(true) is " + p + ":");
		for (i = 0; i < 5; i++)
			System.out.println(JSimSystem.draw(p) + " " + JSimSystem.draw(p));
		System.out.println();
	} // main

} // class RandomValuesExample
